---
title: Date.prototype.getUTCDay()
slug: Web/JavaScript/Reference/Global_Objects/Date/getUTCDay
tags:
  - Date
  - JavaScript
  - Method
  - Prototype
  - Reference
---
<div>{{JSRef}}</div>

<p>The <strong><code>getUTCDay()</code></strong> method returns the day of the week in the specified date according to universal time, where 0 represents Sunday.</p>

<div>{{EmbedInteractiveExample("pages/js/date-getutcday.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>dateObj</var>.getUTCDay()</pre>

<h3 id="Return_value">Return value</h3>

<p>An integer number corresponding to the day of the week for the given date, according to universal time: 0 for Sunday, 1 for Monday, 2 for Tuesday, and so on.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_getUTCDay">Using getUTCDay()</h3>

<p>The following example assigns the weekday portion of the current date to the variable <code>weekday</code>.</p>

<pre class="brush: js notranslate">var today = new Date();
var weekday = today.getUTCDay();
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-date.prototype.getutcday', 'Date.prototype.getUTCDay')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Date.getUTCDay")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Date.prototype.getUTCDate()")}}</li>
 <li>{{jsxref("Date.prototype.getDay()")}}</li>
 <li>{{jsxref("Date.prototype.setUTCDate()")}}</li>
</ul>
